# Class DrawTextFieldOptions

#### Hierarchy

- DrawTextFieldOptions

#### Implements

- IDrawTextFieldOptions

- Defined in draw/DrawTextField.ts:27

#####
Index

### Constructors

constructor

### Properties

anchorPosition
backgroundColor
fontColor
fontSize
fontStyle
padding

## Constructors

### constructor

- new DrawTextFieldOptions(options?: IDrawTextFieldOptions): DrawTextFieldOptions

- #### Parameters

  - ##### options: IDrawTextFieldOptions = {}

  #### Returns DrawTextFieldOptions

  - Defined in draw/DrawTextField.ts:40

## Properties

### anchorPosition

anchorPosition: AnchorPosition

Implementation of IDrawTextFieldOptions.anchorPosition

- Defined in draw/DrawTextField.ts:28

### backgroundColor

backgroundColor: string

Implementation of IDrawTextFieldOptions.backgroundColor

- Defined in draw/DrawTextField.ts:30

### fontColor

fontColor: string

Implementation of IDrawTextFieldOptions.fontColor

- Defined in draw/DrawTextField.ts:32

### fontSize

fontSize: number

Implementation of IDrawTextFieldOptions.fontSize

- Defined in draw/DrawTextField.ts:34

### fontStyle

fontStyle: string

Implementation of IDrawTextFieldOptions.fontStyle

- Defined in draw/DrawTextField.ts:36

### padding

padding: number

Implementation of IDrawTextFieldOptions.padding

- Defined in draw/DrawTextField.ts:38